spring:
  security:
    oauth2:
      authorization-server:
        client:
          client-server-oidc:
            registration:
              client-id: client-server
              client-secret: '{noop}secret'
              client-authentication-methods:
                - client_secret_basic
              authorization-grant-types:
                - authorization_code
                - refresh_token
                - client_credentials
              redirect-uris:
                - http://127.0.0.1:8010/login/auth2/code/client-server-oidc
              scopes:
                - openid
                - profile
              client-name: client-server
            require-authorization-consent: true
  application:
    name: 授权服务中心
  cloud:
    nacos:
      discovery:
        server-addr: 47.86.45.158:8848
        username: nacos
        password: nacos
        group: DEVELOP_TEST
        service: AuthServer
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.1.222:3306/Test01?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=GMT
    username: root
    password: root
    hikari:
      minimum-idle: 5  # 最小空闲连接数
      maximum-pool-size: 10  # 最大活跃连接数
      idle-timeout: 30000  # 空闲连接生命周期，以毫秒为单位
      pool-name: HikariCP  # 连接池名称，主要用于记录日志和JMX管理，默认为生成的
      max-lifetime: 1800000  # 连接在连接池中允许存在的最长时间，默认为30分钟，以毫秒为单位
      connection-timeout: 30000  # 连接超时时间，以毫秒为单位

# mybaits-plus配置
mybatis-plus:
  # MyBatis Mapper所对应的XML文件位置，这里暂时没用到
  mapper-locations: classpath*:/mapper/*Mapper.xml
  global-config:
    # 关闭MP3.0自带的banner
    banner: false
    db-config:
      # 主键类型 0:数据库ID自增 1.未定义 2.用户输入 3 id_worker 4.uuid 5.id_worker字符串表示
      id-type: assign_uuid
      #字段策略 0:"忽略判断",1:"非 NULL 判断"),2:"非空判断"
      field-strategy: NOT_NULL
      # 默认数据库表下划线命名
      table-underline: true
server:
  port: 8700
